#include<iostream>
using namespace std;

int main()
{
    string T, S;
    int broja=0,brojz=0;
    getline(cin, T);
    char c = 42;
    cin >> S;

    if(S == "a")
        for(int i = 0; i < T.length(); i++)
            if(T[i] == 'a')
            {
                T[i] = c;
                brojz++;
            }
    bool samoa = true;
    for(int i = 0; i < S.length(); i++)
        if(S[i] != 'a') samoa = false;
    if(samoa)
    {
        for(int i = 0; i < T.length(); i++)
        {
            if(T[i] == 'a')
            {
                if(broja++ < S.length()-1)
                    continue;
                T[i] = c;
                brojz++;
            }
        }
    }
    cout << brojz << "\n" << T;
}